// creator  : weidu.exe (version 23100)
// argument : TRGENI02.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~TRGENI02~ 2 // non-zero flags may indicate non-pausing dialogue
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #5 /* Triggers after states #: 3 4 5 6 7 even though they appear after this state */
~RandomNum(3,1)~ THEN BEGIN 0 // from:
  SAY #43520 /* ~Ha ha!  You are a strange one, mortal!  You are... <MALEFEMALE>, are you not?  I have not seen many of your kind.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 /* Triggers after states #: 3 4 5 6 7 even though they appear after this state */
~RandomNum(3,2)~ THEN BEGIN 1 // from:
  SAY #43521 /* ~If you have business with us, mortal, you must speak to our Khan... oh, yes, I am sure he will be more than willing to deal with you!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 3 4 5 6 7 even though they appear after this state */
~RandomNum(3,3)~ THEN BEGIN 2 // from:
  SAY #43522 /* ~Would you do a little dance for me, mortal?  I do so love to watch your forms writhe!  It does so remind me of the janni of home!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~RandomNum(2,1)
Global("zahraajob","GLOBAL",1)
!PartyHasItem("misc8k")~ THEN BEGIN 3 // from:
  SAY #43523 /* ~Yes!  Yes!  Bring us the head of Ihtafeer!  Bring us the head of the flesh-eating shapeshifter!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #1 ~RandomNum(2,2)
Global("zahraajob","GLOBAL",1)
!PartyHasItem("misc8k")~ THEN BEGIN 4 // from:
  SAY #43524 /* ~You must be careful, mortal one!  Ihtafeer is a ruhk, a knight of the rakshasa... she is a wondrous being of magic and may only be struck by the most powerful magic, herself!  Cautious, cautious, little mortal!~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~RandomNum(2,1)
Global("zahraarefused","GLOBAL",1)~ THEN BEGIN 5 // from:
  SAY #43525 /* ~Oooh, poor mortal you are!  Too timid to find the mighty rakshasi ruhk for us!  It is a sad, sad thing to see you here.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~RandomNum(2,2)
Global("zahraarefused","GLOBAL",1)~ THEN BEGIN 6 // from:
  SAY #43526 /* ~Oh, come now, mortal!  It is only a ruhk rakshasi and her companions we seek!  You are a strong and powerful being, yourself, are you not?~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("zahraajob","GLOBAL",1)
PartyHasItem("misc8k")~ THEN BEGIN 7 // from:
  SAY #61157 /* ~You have the head? Take it to Khan Zahraa now!~ */
  IF ~~ THEN EXIT
END
